Bug 2930 - [UPDATE REQUEST] [UPSTREAM UPDATE] chkconfig
: [UPDATE REQUEST] [UPSTREAM UPDATE] chkconfig
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:55 MSD by Andrew Lukoshko
Modified: 2013-11-13 17:34 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 14:55:56 MSD
* Previously, the readServices() function returned a wrong value when the
/etc/init.d directory was not readable. As a consequence, a segmentation fault
occurred. With this update, when the /etc/init.d directory is not readable, the
readServices() function properly detects the situation and exits with a failure
message. As a result, a segmentation fault no longer occurs.

http://rhn.redhat.com/errata/RHBA-2013-1276.html

https://abf.rosalinux.ru/build_lists/1335819
https://abf.rosalinux.ru/build_lists/1335820
Comment 1 Alexander Petryakov 2013-10-19 23:59:46 MSD
chkconfig-1.3.49.3-2.res6.1
*********************** RHEL Advisory *************************
Previously, the readServices() function returned a wrong value when the
/etc/init.d directory was not readable. As a consequence, a segmentation fault
occurred. With this update, when the /etc/init.d directory is not readable, the
readServices() function properly detects the situation and exits with a failure
message. As a result, a segmentation fault no longer occurs.

http://rhn.redhat.com/errata/RHBA-2013-1276.html
***************************************************************
QA Verified